svg{
  margin-top:5px;
  margin-left:auto;
  margin-right:auto;
  position:block;
  float:none;
  display:flex;

}

.leg{
  background-color:grey;
  height:auto;
  width:300px;
  float:right;
  margin-top:117px;
  position:absolute;
  margin-left:80%;
  z-index:2;
  min-height:300px;
}

.allie{
  background-color:pink;
  height:8px;
  width:15px;
  display:fixed;
  float:left;
  margin-left:5px;
  margin-right:4px;
  margin-top:5px;
}

.keyer{
  height:8px;
  width:15px;
  display:fixed;
  float:left;
  margin-left:5px;
  margin-right:4px;
  margin-top:5px;
}
